rte_flow_item_icmp6_nd_ns(3)

NAME
rte_flow_item_icmp6_nd_ns

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint8_t type
uint8_t code
rte_be16_t checksum
rte_be32_t reserved
struct rte_ipv6_addr target_addr

Detailed Description

RTE_FLOW_ITEM_TYPE_ICMP6_ND_NS

Matches an ICMPv6 neighbor discovery solicitation.

Definition at line 1496 of file rte_flow.h.

Field Documentation

  uint8_t type
ICMPv6 type, normally 135.

Definition at line 1497 of file rte_flow.h.

  uint8_t code
ICMPv6 code, normally 0.

Definition at line 1498 of file rte_flow.h.

  rte_be16_t checksum
ICMPv6 checksum.

Definition at line 1499 of file rte_flow.h.

  rte_be32_t reserved
Reserved, normally 0.

Definition at line 1500 of file rte_flow.h.

  struct rte_ipv6_addr target_addr
Target address.

Definition at line 1501 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.